Bug 70476 - prefdm case sensitivity with /etc/sysconfig/desktop
prefdm case sensitivity with /etc/sysconfig/desktop
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
noarch Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 13:06 EDT by Rick Johnson
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 13:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Johnson 2002-08-01 13:06:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
If installing with a Kickstart script and KDE is specified as your desktop in
lower case (as "kde"), /etc/sysconfig/desktop has the entry of "DESKTOP=kde".
While xinit properly parses this with grep -i, prefdm does not. 

The results end up being that when using runlevel 5, gdm ends up being the
preferred login manager (instead of xdm or kdm), but KDE (or twm or fvwm) is
still launched as the "default". 

Version-Release number of selected component (if applicable): initscripts-6.67-1


How reproducible:
Always

Steps to Reproduce:
1. Enter "kde" in lower case as your desktop in /etc/sysconfig/desktop
2. Switch to runlevel 5
3. Note gdm as the display manager, but KDE is the default environment.
4. Switch to "KDE" in /etc/sysconfig/desktop, and then note that kdm is the
display manager and KDE is the default environment.
	

Actual Results:  gdm runs as the display manager, but kde remains default window
manager

Expected Results:  kdm should run as display manager as well as KDE as the
default window manager. 

Additional info:

Perhaps switching the case when parsing the kickstart script could help, as well
as providing a case insensitive means of reading the DESKTOP string from
/etc/sysconfig/desktop file could solve this problem.
Comment 1 Rick Johnson 2002-08-01 13:07:49 EDT
Clarification, /etc/X11/xinit/Xclients parses properly.
Comment 2 Bill Nottingham 2002-08-13 21:44:37 EDT
This is changed in the current development initscripts (6.89-1); this becomes
not relevant there.

Note You need to log in before you can comment on or make changes to this bug.